org.jbpm.process.workitem.bpmn2

## Class ServiceTaskHandler

- java.lang.Object
- - org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler
  - - org.jbpm.process.workitem.bpmn2.ServiceTaskHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler, org.kie.internal.runtime.Cacheable

      @Wid(widfile="ServiceTaskDefinitions.wid",name="ServiceTask",displayName="ServiceTask",defaultHandler="mvel: new org.jbpm.process.workitem.bpmn2.ServiceTaskHandler()",documentation="jbpm-workitems-bpmn2/index.html",category="jbpm-workitems-bpmn2",icon="ServiceTask.png",parameters={@WidParameter(name="implementation"),@WidParameter(name="interfaceImplementationRef"),@WidParameter(name="operationImplementationRef"),@WidParameter(name="Parameter"),@WidParameter(name="mode")},results=@WidResult(name="Result",runtimeType="java.lang.Object"),mavenDepends=@WidMavenDepends(group="org.jbpm",artifact="jbpm-workitems-bpmn2",version="7.45.0.t20201014"),serviceInfo=@WidService(category="BPMN2",description="Execute business rule or service tasks",keywords="service,task",action=@WidAction(title="Execute a service task")))
      public class ServiceTaskHandler
      extends AbstractLogOrThrowWorkItemHandler
      implements org.kie.internal.runtime.Cacheable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WSDL_IMPORT_TYPE`

    - ### Fields inherited from class org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler

      `handlingProcessId, handlingStrategy, logThrownException, retries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceTaskHandler()`
    `ServiceTaskHandler(org.kie.api.runtime.KieSession ksession)`
    `ServiceTaskHandler(org.kie.api.runtime.KieSession ksession, ClassLoader classloader)`
    `ServiceTaskHandler(org.kie.api.runtime.KieSession ksession, int timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `void` | `close()`
    `void` | `executeJavaWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `ClassLoader` | `getClassLoader()`
    `protected org.apache.cxf.endpoint.Client` | `getWSClient(org.kie.api.runtime.process.WorkItem workItem, String interfaceRef)`
    `protected String` | `nonNull(String value)`
    `void` | `setClassLoader(ClassLoader classLoader)`

    - ### Methods inherited from class org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler

      `findNodeInstance, handleException, handleException, setLogThrownException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSDL_IMPORT_TYPE

          public static final String WSDL_IMPORT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceTaskHandler

          public ServiceTaskHandler()

    - #### ServiceTaskHandler

          public ServiceTaskHandler(org.kie.api.runtime.KieSession ksession)

    - #### ServiceTaskHandler

          public ServiceTaskHandler(org.kie.api.runtime.KieSession ksession,
                                    ClassLoader classloader)

    - #### ServiceTaskHandler

          public ServiceTaskHandler(org.kie.api.runtime.KieSession ksession,
                                    int timeout)

  - ### Method Detail

    - #### executeWorkItem

          public void executeWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                      org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `executeWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### getWSClient

          protected org.apache.cxf.endpoint.Client getWSClient(org.kie.api.runtime.process.WorkItem workItem,
                                                               String interfaceRef)

    - #### executeJavaWorkItem

          public void executeJavaWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                          org.kie.api.runtime.process.WorkItemManager manager)

    - #### abortWorkItem

          public void abortWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `abortWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### getClassLoader

          public ClassLoader getClassLoader()

    - #### setClassLoader

          public void setClassLoader(ClassLoader classLoader)

    - #### nonNull

          protected String nonNull(String value)

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.